Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.snmp
Class SNMPClient

    java.lang.Object
      org.hyperic.snmp.SNMPClient

    public class SNMPClient

extends Object

Field Summary
`static String` | `DEFAULT_AUTHTYPE`
`static String` | `DEFAULT_COMMUNITY`
`static String` | `DEFAULT_IP`
`static String` | `DEFAULT_PASSWORD`
`static int` | `DEFAULT_PORT`
`static String` | `DEFAULT_PORT_STRING`
`static String` | `DEFAULT_PRIV_TYPE`
`static String` | `DEFAULT_RETRIES`
`static String` | `DEFAULT_TIMEOUT`
`static String` | `DEFAULT_TRANSPORT`
`static String` | `DEFAULT_USERNAME`
`static String` | `PROP_AUTHTYPE`
`static String` | `PROP_COMMUNITY`
`static String` | `PROP_IP`
`static String` | `PROP_PASSWORD`
`static String` | `PROP_PORT`
`static String` | `PROP_PRIV_PASSPHRASE`
`static String` | `PROP_PRIV_TYPE`
`static String` | `PROP_RETRIES`
`static String` | `PROP_SECURITY_CONTEXT`
`static String` | `PROP_TIMEOUT`
`static String` | `PROP_TRANSPORT`
`static String` | `PROP_USER`
`static String` | `PROP_VERSION`
`static String[]` | `VALID_VERSIONS`

Constructor Summary
`SNMPClient()`

Method Summary
`void` | `addMIBs(String[] mibs)`
`void` | `addMIBs(String jar, String[] accept)`
`static String` | `getOID(String mibName)`
`SNMPSession` | `getSession(org.hyperic.util.config.ConfigResponse config)`
`SNMPSession` | `getSession(Properties props)`
`boolean` | `init(Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IP

    public static final String DEFAULT_IP

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_TRANSPORT

    public static final String DEFAULT_TRANSPORT

See Also:
  Constant Field Values

### DEFAULT_USERNAME

    public static final String DEFAULT_USERNAME

See Also:
  Constant Field Values

### DEFAULT_PASSWORD

    public static final String DEFAULT_PASSWORD

See Also:
  Constant Field Values

### DEFAULT_AUTHTYPE

    public static final String DEFAULT_AUTHTYPE

See Also:
  Constant Field Values

### DEFAULT_PRIV_TYPE

    public static final String DEFAULT_PRIV_TYPE

See Also:
  Constant Field Values

### DEFAULT_PORT_STRING

    public static final String DEFAULT_PORT_STRING

### DEFAULT_COMMUNITY

    public static final String DEFAULT_COMMUNITY

### DEFAULT_RETRIES

    public static final String DEFAULT_RETRIES

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT

    public static final String DEFAULT_TIMEOUT

See Also:
  Constant Field Values

### VALID_VERSIONS

    public static final String[] VALID_VERSIONS

### PROP_IP

    public static final String PROP_IP

See Also:
  Constant Field Values

### PROP_PORT

    public static final String PROP_PORT

See Also:
  Constant Field Values

### PROP_TRANSPORT

    public static final String PROP_TRANSPORT

See Also:
  Constant Field Values

### PROP_VERSION

    public static final String PROP_VERSION

See Also:
  Constant Field Values

### PROP_COMMUNITY

    public static final String PROP_COMMUNITY

See Also:
  Constant Field Values

### PROP_USER

    public static final String PROP_USER

See Also:
  Constant Field Values

### PROP_PASSWORD

    public static final String PROP_PASSWORD

See Also:
  Constant Field Values

### PROP_AUTHTYPE

    public static final String PROP_AUTHTYPE

See Also:
  Constant Field Values

### PROP_PRIV_TYPE

    public static final String PROP_PRIV_TYPE

See Also:
  Constant Field Values

### PROP_PRIV_PASSPHRASE

    public static final String PROP_PRIV_PASSPHRASE

See Also:
  Constant Field Values

### PROP_SECURITY_CONTEXT

    public static final String PROP_SECURITY_CONTEXT

See Also:
  Constant Field Values

### PROP_RETRIES

    public static final String PROP_RETRIES

See Also:
  Constant Field Values

### PROP_TIMEOUT

    public static final String PROP_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### SNMPClient

    public SNMPClient()

Method Detail

### addMIBs

    public void addMIBs(String jar,
                        String[] accept)

### addMIBs

    public void addMIBs(String[] mibs)

### getOID

    public static String getOID(String mibName)

### init

    public boolean init(Properties props)
                 throws SNMPException

  Throws:
    `SNMPException`

### getSession

    public SNMPSession getSession(org.hyperic.util.config.ConfigResponse config)
                           throws SNMPException

  Throws:
    `SNMPException`

### getSession

    public SNMPSession getSession(Properties props)
                           throws SNMPException

  Throws:
    `SNMPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.